<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<window xmlns="http://jmix.io/schema/ui/window"
        xmlns:c="http://jmix.io/schema/ui/jpql-condition"
        caption="msg://goldInventoryReportBrowse.caption"
        focusComponent="investorCashWalletStatementsTable">
    <data readOnly="true">
        <collection id="investorCashWalletStatementsDc"
                    class="com.company.management.entity.InvestorCashWalletStatement">
            <fetchPlan extends="_base"/>
            <loader id="investorCashWalletStatementsDl">
                <query>
                    <![CDATA[select e from InvestorCashWalletStatement e]]>
                </query>
            </loader>
        </collection>
    </data>
    <facets>
        <dataLoadCoordinator auto="true"/>
        <screenSettings id="settingsFacet" auto="true"/>
    </facets>
    <actions>
        <action id="lookupSelectAction"
                caption="msg:///actions.Select"
                icon="LOOKUP_OK"
                primary="true"
                shortcut="${COMMIT_SHORTCUT}"/>
        <action id="lookupCancelAction"
                caption="msg:///actions.Cancel"
                icon="LOOKUP_CANCEL"/>
    </actions>
    <dialogMode height="600"
                width="800"/>
    <layout expand="investorCashWalletStatementsTable" spacing="true">
        <label value="msg://Investor Cash Wallet Statement Report" stylename="bold h3"/>
        <filter id="filter"
                dataLoader="investorCashWalletStatementsDl">
            <properties include=".*"/>
        </filter>
        <table id="investorCashWalletStatementsTable"
               width="100%"
               dataContainer="investorCashWalletStatementsDc"
               columnControlVisible="true"
               reorderingAllowed="false"
               sortable="false"
               aggregatable="true" aggregationStyle="BOTTOM">
            <actions>
                <action id="excelExport" type="excelExport" caption="msg://Export"/>
            </actions>
            <columns>
                <column id="timestamp">
                    <formatter>
                        <date format="dd/MM/YYYY HH:mm:ss.ss"/>
                    </formatter>
                </column>
                <column id="referenceNo"/>
                <column id="description"/>
                <column id="uom"/>
                <column id="creditAmount">
                    <aggregation type="SUM"/>
                </column>
                <column id="debitAmount">
                    <aggregation type="SUM"/>
                </column>
                <column id="statementBalance"/>
            </columns>
            <simplePagination itemsPerPageVisible="true"/>
            <buttonsPanel id="buttonsPanel"
                          alwaysVisible="true">
                <button id="investorCashExportBtn" action="investorCashWalletStatementsTable.excelExport"/>
            </buttonsPanel>
        </table>
        <hbox id="lookupActions" spacing="true" visible="false">
            <button action="lookupSelectAction"/>
            <button action="lookupCancelAction"/>
        </hbox>
    </layout>
</window>
